TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Type

tup

### Syntax

tup() tup(<nof(type)>)

### Description

<shortdoc> The type of tuples. A tuple is a list containing any elements. A tuple is an element of a fixed cartesian product. The types of the elements of the factors of this product may be specified. Once a tuple is created, insertions are possible only if the type of the new element is the same as the type of the element that will be replaced. </shortdoc>

### Examples

x_a:=Tuple([1,3.2,"text"]); Type(x_a);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack